﻿
Public Class CoolForm

  Private Sub cmdBuild_Click(ByVal sender As System.Object, _
                             ByVal e As System.EventArgs) Handles cmdBuild.Click
    Dim rect As Object
    Dim face As Object
    Dim status As Object

    Dim Wt As Double
    Dim Dp As Double
    Dim Ht As Double

    ' begin simple validation of values
    txtWidth.Text = txtWidth.Text.Trim
    txtDepth.Text = txtDepth.Text.Trim
    txtHeight.Text = txtHeight.Text.Trim

    If txtWidth.Text = "" Or txtDepth.Text = "" Or txtHeight.Text = "" Then Exit Sub

    Wt = Double.Parse(txtWidth.Text)
    Dp = Double.Parse(txtDepth.Text)
    Ht = Double.Parse(txtHeight.Text)

    ' Construct a rectangle  
    rect = To_R(To_P(0, 0, 0), To_P(Wt, 0, 0), To_P(Wt, Dp, 0), To_P(0, Dp, 0))
    ' Create the face
    face = g_oEnts.add_face(rect)
    ' Extrude the face
    status = face.pushpull(-Ht, False)

    ' Return information to SU via formhost class property
    g_oFormHost.msg = "Box = " & Wt.ToString & " x " & Dp.ToString & " x " & Ht.ToString

    ' Clean up SU objects generated here
    status = Nothing
    face = Nothing
    rect = Nothing
  End Sub
End Class